Subject: RE: New setup fails to show any updates required
From: Robert Collins <[email-masked]>
To: "Primmer, Bob" <[email-masked]>
Cc: [email-masked]
Date: 28 Nov 2001 09:39:18 +1100

On Wed, 2001-11-28 at 09:31, Primmer, Bob wrote:
> I understand. However, when I do so, it *always* shows "Keep" for every
> item; despite that announcements of newer versions have gone out. Just as an
> fyi, when I do "partial" it always says nothing to download.
> 
> Is there some additional step required?

Try clicking twice.

Here's the current (known faulty) logic.

If you have the package installed, updates are downloaded automatically.
If you don't have the package installed, but you choose to download a
package that depends on it, the newest stable version is downloaded
automatically.
If you don't have the package installed, and you choose to download it,
first the prev version is selected, and then the current version.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/